﻿using System.Collections.ObjectModel;
using System.Windows;
using Syncfusion.Windows.Tools.Controls;

namespace TreeViewSample
{
   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow : Window
   {

      public MainWindow()
      {
         InitializeComponent();
         DataContext = new Manager();

      }

      private void TreeViewAdv_OnLoadOnDemand(object sender, LoadonDemandEventArgs args)
      {
         var model = args.TreeViewItem.DataContext as Model;

         if (model != null)
         {
            model.Children.Add(new Model("Child1"));
            model.Children.Add(new Model("Child2"));
            model.Children.Add(new Model("Child3"));
         }

         args.TreeViewItem.IsLoadOnDemand = false;
      }
   }

   public class Manager
   {
      public ObservableCollection<Model> ModelSource { get; }

      public Manager()
      {
         ModelSource = new ObservableCollection<Model> { new Model("Hello"), new Model("World") };

      }
   }


   public class Model
   {
      public Model(string name)
      {
         Name = name;
         Children = new ObservableCollection<Model> { };
      }

      public string Name { get; }

      public ObservableCollection<Model> Children { get; }
   }

}
